AWS IoT Device SDK C++ v2: Aws::Iotjobs::GetPendingJobExecutionsResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::GetPendingJobExecutionsResponse Class Referencefinal

`#include <GetPendingJobExecutionsResponse.h>`

## Public Member Functions
| GetPendingJobExecutionsResponse ()=default
| GetPendingJobExecutionsResponse (const Crt::JsonView &doc)
GetPendingJobExecutionsResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::Vector< Aws::Iotjobs::JobExecutionSummary > > | QueuedJobs
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< Aws::Crt::Vector< Aws::Iotjobs::JobExecutionSummary > > | InProgressJobs

## Detailed Description

Response payload to a GetPendingJobExecutions request.

## Constructor & Destructor Documentation

## ◆ GetPendingJobExecutionsResponse() [1/2]

Aws::Iotjobs::GetPendingJobExecutionsResponse::GetPendingJobExecutionsResponse | ( |  | ) |
| default

## ◆ GetPendingJobExecutionsResponse() [2/2]

Aws::Iotjobs::GetPendingJobExecutionsResponse::GetPendingJobExecutionsResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

GetPendingJobExecutionsResponse & Aws::Iotjobs::GetPendingJobExecutionsResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::GetPendingJobExecutionsResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::GetPendingJobExecutionsResponse::ClientToken

A client token used to correlate requests and responses.

## ◆ InProgressJobs

Aws::Crt::Optional<Aws::Crt::Vector<Aws::Iotjobs::JobExecutionSummary> > Aws::Iotjobs::GetPendingJobExecutionsResponse::InProgressJobs

A list of JobExecutionSummary objects with status IN_PROGRESS.

## ◆ QueuedJobs

Aws::Crt::Optional<Aws::Crt::Vector<Aws::Iotjobs::JobExecutionSummary> > Aws::Iotjobs::GetPendingJobExecutionsResponse::QueuedJobs

A list of JobExecutionSummary objects with status QUEUED.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::GetPendingJobExecutionsResponse::Timestamp

The time when the message was sent.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/GetPendingJobExecutionsResponse.h
- jobs/source/GetPendingJobExecutionsResponse.cpp